package models

//账户间转账
type PayOrder struct {
	MerchantId string `json:"merchantId"`
    RequestId string `json:"requestId"`
    PartnerId string `json:"partnerId"`
    ReceiverId string `json:"receiverId"`
    Amount string `json:"amount"`
    Currency string `json:"currency"`
    NotifyUrl string `json:"notifyUrl"`
    Remark string `json:"remark"`
    DeputeMark string `json:"deputeMark"`
    Hmac string `json:"hmac"`
}





// 账户间转账查询 和电子回执单
type PayQuery struct {
	MerchantId string `json:"merchantId"`
    RequestId string `json:"requestId"`
    PartnerId string `json:"partnerId"`
    OrderId string `json:"orderId"`
    Hmac string `json:"hmac"`
}



//订单响应内容
type OrderResponse struct{
	MerchantId string `json:"merchantId"`    
    RequestId string `json:"requestId"`
    PartnerId string `json:"partnerId"`
    ResponseObject
}