package main

import (
	"fmt"
	"transferAccount/gomod"
	"net/http"
)


func main() {
	//jquery
	fs := http.FileServer(http.Dir("js"))
	http.Handle("/js/", http.StripPrefix("/js/", fs))
	//页面
	http.HandleFunc("/", gomod.Index)
	http.HandleFunc("/transferAccountOrder", gomod.Order)
	http.HandleFunc("/transferAccountQuery", gomod.Query)
	http.HandleFunc("/generateTransferVoucher", gomod.GenerateTransferVoucher)

	
	
	err := http.ListenAndServe(":8082", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
	}
}